Subject: Re: #243: iso-8859-1 in C-D

From: Julian Reschke <[email-masked]>
Date: Thu, 17 Feb 2011 17:35:14 +0100

On 07.11.2010 18:11, Julian Reschke wrote:
> On 07.11.2010 17:54, Bjoern Hoehrmann wrote:
>> * Julian Reschke wrote:
>>> Maybe say "(which defaults to ISO-8859-1 for the quoted-string form)"?
>>
>> I don't really care, but if you do want to change it, I'd suggest,
>> surprise, to get rid of ISO-8859-1 and instead just say something like
>> "Some user agents inspect the value and interpret it as UTF-8 encoded
>> string when ...".
>
> Currently it says
>
> "Some user agents inspect the value (which defaults to ISO-8859-1) and
> switch to UTF-8 when it seems to be more likely to be the correct
> interpretation."
>
> if we take out that bit it would become
>
> "Some user agents inspect the value and switch to UTF-8 when it seems to
> be more likely to be the correct interpretation."
>
> which then would raise the question what the correct interpretation
> actually is. And it is ISO-8859-1.

The text changed in 
<http://trac.tools.ietf.org/wg/httpbis/trac/changeset/1080> to:

"C.3 Encoding Sniffing

Some user agents inspect the value (which defaults to ISO-8859-1 for the 
quoted-string form) and switch to UTF-8 when it seems to be more likely 
to be the correct interpretation.

As with the approaches above, this is not interoperable and furthermore 
risks misinterpreting the actual value."

...which I believe is accurate.

Björn, are you OK with closing the bug?

Best regards, Julian